imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: ../../vendor/knplabs/doctrine-behaviors/config/orm-services.yml }

framework:
    #esi:             ~
    translator:      { fallback: %locale% }
    secret:          %secret%
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    form:            ~
    csrf_protection: ~
    validation:      { enable_annotations: true }
    templating:
        engines: ['twig']
        #assets_version: SomeVersionScheme
    default_locale:  "%locale%"
    trusted_proxies: ~
    session:         ~
    fragments:       ~
    http_method_override: true

# Twig Configuration
twig:
    debug:            %kernel.debug%
    strict_variables: %kernel.debug%

# Assetic Configuration
assetic:
    debug:          %kernel.debug%
    use_controller: false
    bundles:        [ WebmilBackendAdmingeneratorDashboardBundle, AvocodeFormExtensionsBundle, WebmilFrontendBioBundle, FMElfinderBundle ]
    variables:
         locale:    [en,uk,ru]
    #java: /usr/bin/java
    filters:
        cssrewrite: ~
        #closure:
        #    jar: %kernel.root_dir%/Resources/java/compiler.jar
        yui_css:
            jar: %kernel.root_dir%/Resources/java/yuicompressor-2.4.7.jar
        yui_js:
            jar: "%kernel.root_dir%/Resources/java/yuicompressor-2.4.7.jar" 

# Doctrine Configuration
doctrine:
    dbal:
        driver:   %database_driver%
        host:     %database_host%
        port:     %database_port%
        dbname:   %database_name%
        user:     %database_user%
        password: %database_password%
        charset:  UTF8
        options:
            1002:  "SET NAMES 'UTF8'"
        # if using pdo_sqlite as your database driver, add the path in parameters.yml
        # e.g. database_path: %kernel.root_dir%/data/data.db3
        # path:     %database_path%

    orm:
        auto_generate_proxy_classes: %kernel.debug%
        auto_mapping: true

# Swiftmailer Configuration
swiftmailer:
    transport: %mailer_transport%
    host:      %mailer_host%
    username:  %mailer_user%
    password:  %mailer_password%
    spool:     { type: memory }


fos_user:
    service:
        mailer: fos_user.mailer.noop
    db_driver: orm
    user_class:  Webmil\UserBundle\Entity\User
    firewall_name: main    


knp_menu:
    twig: 
      template: AdmingeneratorGeneratorBundle:KnpMenu:knp_menu_trans.html.twig    
admingenerator_generator:
    logout_path: fos_user_security_logout
    dashboard_welcome_path: AdmingeneratorDashboard_welcome
    base_admin_template: WebmilBackendAdmingeneratorDashboardBundle::base_admin.html.twig
    templates_dirs: [ %kernel.root_dir%/../vendor/cedriclombardot/admingenerator-generator-bundle/Admingenerator/GeneratorBundle/Resources/templates ]    
    use_doctrine_orm: true
    use_doctrine_odm:   false
    use_propel:         false
    form_types:
        doctrine_orm:
            datetime:     datetime 
            vardatetime:  datetime 
            datetimetz:   datetime 
            date:         datetime 
            time:         time 
            decimal:      number 
            float:        number 
            integer:      integer 
            bigint:       integer 
            smallint:     integer 
            string:       text 
            text:         textarea
            entity:       entity 
            collection:   collection 
            array:        collection 
            boolean:      checkbox 
    filter_types:
        doctrine_orm:
            text:          text
            boolean:       choice
            collection:    entity    
  
admingenerator_user:   
    login_template: WebmilBackendAdmingeneratorDashboardBundle::base_admin.html.twig

avocode_form_extensions:
    upload_manager:        vich_uploader

a2lix_translation_form:
    locales: [uk, ru, en]     
    default_required: true     
    templating: "A2lixTranslationFormBundle::default.html.twig"      
#    default_class:
#        service: "A2lix\TranslationFormBundle\TranslationForm\DefaultTranslationForm"
#        listener: "A2lix\TranslationFormBundle\Form\EventListener\DefaultTranslationsSubscriber"
#        types:
#             translations: "A2lix\TranslationFormBundle\Form\Type\TranslationsType"
#             translationsFields: "A2lix\TranslationFormBundle\Form\Type\TranslationsFieldsType"         
    
vich_uploader:
    db_driver: orm    
 
stof_doctrine_extensions:
    default_locale: uk
    orm:
        default:
            sluggable: true
            sortable: true        
    
jms_i18n_routing:
    default_locale: uk
    locales: [uk, ru, en]
    strategy: prefix      
    
services:
 twig.extension.text:
     class: Twig_Extensions_Extension_Text
     tags:
         - { name: twig.extension }   


ivory_ck_editor:
    configs:
        config_standard:
            toolbar: my_standart
            filebrowserBrowseRoute: elfinder
    toolbars:
        configs:
            my_standart: [ "@clipboard", "@basicstyles" , "@paragraph", "@align","@links" , "@sourse" , "@styles" , "@colors" ]
        items:
            clipboard:      ['Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo']
            basicstyles:    ['Bold', 'Italic', 'Strike', '-', 'RemoveFormat']
            paragraph:      ['NumberedList', 'BulletedList']
            align:          ['JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock']
            links:          ['Link', 'Unlink',  'Image']
            colors:         ['TextColor']
            styles:         ['FontSize']
            sourse:         ['Source']

fm_elfinder:
    editor: ckeditor
    connector:
        roots:
            uploads:
                path: uploads/editor

vich_uploader:
    db_driver: orm   
    gaufrette:  false
    storage:    vich_uploader.storage.file_system
    mappings:
        news:
            uri_prefix:           /uploads/news
            upload_destination:   %kernel.root_dir%/../web/uploads/news
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true
        news_gallery:
            uri_prefix:           /uploads/news_gallery
            upload_destination:   %kernel.root_dir%/../web/uploads/news_gallery
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true   
        articles:
            uri_prefix:           /uploads/articles
            upload_destination:   %kernel.root_dir%/../web/uploads/articles
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true
        articles_gallery:
            uri_prefix:           /uploads/articles_gallery
            upload_destination:   %kernel.root_dir%/../web/uploads/articles_gallery
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true   
        product:
            uri_prefix:           /uploads/product
            upload_destination:   %kernel.root_dir%/../web/uploads/product
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true    
        partner:
            uri_prefix:           /uploads/partner
            upload_destination:   %kernel.root_dir%/../web/uploads/partner
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true     
        certificate:
            uri_prefix:           /uploads/certificate
            upload_destination:   %kernel.root_dir%/../web/uploads/certificate
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true     
        vacancy:
            uri_prefix:           /uploads/vacancy
            upload_destination:   %kernel.root_dir%/../web/uploads/vacancy
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true         
        cv:
            uri_prefix:           /uploads/cv
            upload_destination:   %kernel.root_dir%/../web/uploads/cv
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true      
        price:
            uri_prefix:           /uploads/price
            upload_destination:   %kernel.root_dir%/../web/uploads/price
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true       
        block:
            uri_prefix:           /uploads/block
            upload_destination:   %kernel.root_dir%/../web/uploads/block
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            delete_on_update:     true       
        values:
            uri_prefix:           /uploads/values
            upload_destination:   %kernel.root_dir%/../web/uploads/values
            namer:                vich_uploader.namer_uniqid
            inject_on_load:       true
            delete_on_remove:     true
            # delete_on_update:     true  



parameters:
    news_per_page: 8  
    articles_per_page: 8  
    manual_path: '/home/diamebua/public_html/manuals'


liip_imagine:
    cache_prefix: media
    filter_sets: 
         news:
           filters:
            thumbnail: { size: [276, 226], mode: outbound}
         news_show:
           filters:
            thumbnail: { size: [340, 248], mode: outbound}
         news_show_thumb:
           filters:
            thumbnail: { size: [100, 100], mode: outbound}
         articles:
           filters:
            thumbnail: { size: [276, 226], mode: outbound}
         articles_show:
           filters:
            thumbnail: { size: [340, 248], mode: outbound}
         articles_show_thumb:
           filters:
            thumbnail: { size: [100, 100], mode: outbound}
         certificate:
           filters:
            thumbnail: { size: [160, 218], mode: outbound}
         partner:
           filters:
            thumbnail: { size: [218, 218], mode: outbound}
         product:
           filters:
            thumbnail: { size: [180, 151], mode: outbound}
         product_show:
           filters:
            thumbnail: { size: [423, 423], mode: outbound}



ivory_lucene_search:
    # Index identifier
    product:
        # Path to store the index (Required)
        # path: "home/dan/WEB/www/diamebapp/search/product"
        path: "/home/diamebua/beta/current/web/search/product"
        # path: home/dan/WEB/www/diameb-dev.my/web/search/product
        # Index analyser (Optional)
        # See http://framework.zend.com/manual/en/zend.search.lucene.charset.html
        analyzer: ZendSearch\Lucene\Analysis\Analyzer\Common\Utf8Num\CaseInsensitive

    # Index identifier
    reagent:
        # Path to store the index (Required)
        path: "/home/diamebua/beta/current/web/search/reagent"

        # Index analyser (Optional)
        # See http://framework.zend.com/manual/en/zend.search.lucene.charset.html
        analyzer: ZendSearch\Lucene\Analysis\Analyzer\Common\Utf8Num\CaseInsensitive

